Bug 1629749 - ipsilon: Port (sub)packages to Python 3: ipsilon-authfas, ipsilon-authform, ipsilon-authgssapi, ipsilon-authldap...
Summary: ipsilon: Port (sub)packages to Python 3: ipsilon-authfas, ipsilon-authform, i...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ipsilon
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Neal Gompa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PY2REMOVAL
TreeView+ depends on / blocked
 
Reported: 2018-09-17 13:00 UTC by Miro Hrončok
Modified: 2019-09-14 16:34 UTC (History)
9 users (show)

Fixed In Version: ipsilon-2.1.0-8.git20190910.aa89b1f.fc32 ipsilon-2.1.0-8.git20190910.aa89b1f.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-11 08:11:28 UTC
Type: ---


Attachments (Terms of Use)

Description Miro Hrončok 2018-09-17 13:00:01 UTC
In line with the Mass Python 2 Package Removal [0], the following (sub)packages of ipsilon were marked for removal:

 * ipsilon-authfas
 * ipsilon-authform
 * ipsilon-authgssapi
 * ipsilon-authldap
 * ipsilon-authpam
 * ipsilon-infofas
 * ipsilon-infosssd
 * ipsilon-openid
 * ipsilon-openidc
 * ipsilon-persona
 * ipsilon-saml2
 * ipsilon-saml2-base
 * ipsilon-tools-ipa

According to our query, those (sub)packages only provide a Python 2 importable module. If this is not true, please tell us why, so we can fix our query.

Please remove them from your package.

As said in the change document, if there is no objection in a week, we will remove the package(s) as soon as we get to it. This change might not match your packaging style, so we'd prefer if you did the change. If you need more time, please let us know here.

We hope this doesn't come to you as a surprise. If you want to know our motivation for this, please read the change document [0].

[0] https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

Comment 1 Patrick Uiterwijk 2018-09-17 17:49:59 UTC
I am planning to port Ipsilon to python3 soon, but need more time for that.

Comment 2 Miro Hrončok 2018-10-28 21:46:02 UTC
Hi. Any news here? How can we help?

Comment 3 Miro Hrončok 2019-02-26 12:11:34 UTC
The beta freeze is at 2019-03-05. Will you make it? Do you need help? Could you please respond?

Comment 4 Neal Gompa 2019-02-26 12:13:03 UTC
I believe all that is needed is that Patrick needs to merge his PR to fix the tests and cut a release: https://pagure.io/ipsilon/pull-request/313

Can this get done ASAP so we can cut ipsilon over in F30+?

Comment 5 Patrick Uiterwijk 2019-02-26 14:05:47 UTC
This depends on one of the other Ipsilon contributors having time to have time and review/approve the patch, so at this moment I cannot say how long this'll take.

Comment 6 Miro Hrončok 2019-04-16 12:17:16 UTC
Patrik. We've submitted some feedback months ago. Let me know what else should we do to make this happen.

Who are the other Ipsilon contributors we are waiting for?

Comment 7 Miro Hrončok 2019-05-11 23:35:48 UTC
Patrik, how can we help?

Comment 8 Miro Hrončok 2019-06-18 19:55:26 UTC
Please, can this happen?

Comment 9 Ben Cotton 2019-08-13 17:01:01 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 10 Ben Cotton 2019-08-13 19:10:41 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 11 Jan Pazdziora 2019-09-02 19:55:03 UTC
Hello, https://pagure.io/ipsilon/pull-request/313 was merged. Does it unblock the effort on building Python 3 version of Ipsilon in Fedora?

Comment 12 Neal Gompa 2019-09-07 01:24:36 UTC
It does. I'm working on it as we speak. :)

Comment 13 Lumír Balhar 2019-09-11 07:31:50 UTC
The latest build in rawhide seems to be Python-3-only. Good job!

Comment 14 Miro Hrončok 2019-09-11 08:11:28 UTC
Thanks, Neal.

Comment 15 Jan Pazdziora 2019-09-11 08:52:23 UTC
Thank you, Neal!

Do you plan to backport the Python 3 based Ipsilon to Fedora 31 and 30 or just keep it Fedora 32+? We have bug 1346178 in Fedora 30 and since Python 2 version of SSSDConfig is no longer available there, ipsilon-infosssd-based setups of Ipsilon cannot be upgraded from Fedora 29 at this point ...

Comment 16 Fedora Update System 2019-09-11 18:14:21 UTC
FEDORA-2019-98fd0c0bbe has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-98fd0c0bbe

Comment 17 Fedora Update System 2019-09-14 16:34:31 UTC
ipsilon-2.1.0-8.git20190910.aa89b1f.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.